﻿using System.Drawing;
using System.Windows.Forms;

using ScottPlot;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            int pointCount = 51;

            double[] xValueArray  = DataGen.Consecutive(pointCount);
            double[] yValueArray1 = DataGen.Sin(pointCount);
            double[] yValueArray2 = DataGen.Cos(pointCount);

            plot.AddScatter(xValueArray, yValueArray1);
            plot.AddScatter(xValueArray, yValueArray2);

            plot.AddText("샘플 텍스트", 10, 0.5, size : 16, color : Color.Blue);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}